getInfoInFile {makecdfenv} | R Documentation

## get information from Affymetrix data files

### Description

Get specific information stored in Affymetrix data files (CEL or CDF).

### Usage

    getInfoInFile(filename, type, unit, property, compress = NULL)

### Arguments

`filename` | a file name
`type` | `"CEL"` or `"CDF"` are the only known types.
`unit` | the 'unit' to find the information
`property` | the 'property' of interest
`compress` | a boolean

### Details

The data files seem to have a structure of 'units'. A 'unit' start with something between square brackets (ex: "[UNIT1]"). The parameter `unit` let one specify in which unit the information of interest is located. The 'properties' are constituted of an identifier, the sign '=' and the value for the property (ex: "numCells=12000").

If you are planning to use this function, I assume you know the what is in CEL and CDF files in details and that you know what are doing.

### Value

a character with the value of the 'property'.

### Note

The code goes through the file until the rigth 'unit' is found. Then it looks for the right 'property' further down (eventually going through the next units if the property is not found).

### See Also

`read.celfile`, `read.cdffile`, `whatcdf`

[Package makecdfenv version 1.14.0 Index]